/*!
 * Copyright (c) 2019 digitalSTROM AG, Switzerland
 *
 * \author Danilo Zanatta, danilo.zanatta@digitalstrom.com
 */

#ifndef CSVREAD_H
#define CSVREAD_H

#include <string>
#include <vector>
#include <stdint.h>

class CSVRead {
 public:
    explicit CSVRead(std::string filename);
    bool readU8(std::vector<uint8_t> &buffer);

 private:
    std::string m_filename;

};


#endif /* CSVREAD_H */
